
public class Account {
	
	private String Name;
	private int ID;
	private AccountType type;
	private double balance;
	
	public Account(String name, int ID, AccountType type) {
		this.ID = ID;
		this.Name = name;
		this.type = type;
	}
	
	public Account(String name, int ID) {
		this.ID = ID;
		this.Name = name;
	}
	
	public void credit(double c) {
		balance += c;
	}
	
	public void debit(double d) {
		balance -= d;
	}
	
	public double getBalance() {
		return balance;
	}

	public String getName() {
		return Name;
	}

	public void setName(String name) {
		Name = name;
	}

	public int getID() {
		return ID;
	}

	public void setID(int iD) {
		ID = iD;
	}
	
	public void setAccountType(AccountType type) {
		this.type = type;
	}
	
	public AccountType getAccountType() {
		return this.type;
	}

}
