import java.util.Scanner;


public class Main {

	public static void main(String[] args) {
		Person p = new Person(12345, "Hesham", Level.BA);
		System.out.println(p.getLocation().getCity());
		System.out.println("-------------------------------------------------");
		Scanner in = new Scanner(System.in);
		System.out.print("Name: ");
		p.getAccount().setName(in.nextLine());
		System.out.print("ID: ");
		p.getAccount().setID(in.nextInt());
		System.out.print("Account Type (Cheking, Investing, Saving): ");
		p.getAccount().setAccountType(parseType(in.next()));
		System.out.print("School: ");
		p.getEdu().setSchool(in.next());
		System.out.print("Major: ");
		p.getEdu().setMajor(in.next());
		Print(p);
	}
	
	/**
	 * Finds the correct enum value of the parameter.
	 * @param a string naming the account type
	 * @return AccountType
	 * @since 0.1
	 * @exception IncorrectStringException
	 */
	private static AccountType parseType(String input) {
		switch(input) {
			case "Investing":
				return AccountType.Investing;
			case "Saving":
				return AccountType.Saving;
			default:
				return AccountType.Checking;
		}
				
	}
	
	/**
	 * Standered print of Person's information
	 * @param Person Object.
	 * @since 0.1
	 */
	public static void Print(Person p) {
		System.out.println(
			   "\t---------INFO---------\n"
	         + "\tName: "+p.getAccount().getName()+"\n"
	         + "\tID: "+p.getAccount().getID()+"\n"
	         + "\tMajor: "+p.getEdu().getMajor()+"\n"
	         + "\tSchool: "+p.getEdu().getSchool()+"\n"
			 + "\tAccountType: "+p.getAccount().getAccountType());

		
	}
}
